"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateSecretHash = void 0;
const crypto_1 = require("crypto");
const calculateSecretHash = (username, clientId, clientSecret) => {
    // create the hmac with the sha256 algorithm and a secret key
    const hasher = (0, crypto_1.createHmac)('sha256', clientSecret);
    // add the value we want to hash
    hasher.update(`${username}${clientId}`);
    // get the hashed value as base64
    return hasher.digest('base64');
};
exports.calculateSecretHash = calculateSecretHash;
