export interface S3FileInfo {
    filepath: string;
    isDir: boolean;
    hashMd5?: string;
}
export interface S3FileList {
    fileInfos: S3FileInfo[];
    pageToken?: string;
}
export declare const listFiles: (drive: string, region: string, folder?: string, maxKeys?: number, pageToken?: string) => Promise<S3FileList>;
